Package org.apache.commons.math3.stat.clustering

# Class Cluster<T extends Clusterable<T>>

java.lang.Object
org.apache.commons.math3.stat.clustering.Cluster<T>

Type Parameters:
  `T` - the type of points that can be clustered

All Implemented Interfaces:
  `Serializable`

@Deprecated public class Cluster<T extends Clusterable<T>> extends Object implements Serializable
Deprecated.
As of 3.2 (to be removed in 4.0), use `Cluster` instead
Cluster holding a set of `Clusterable` points.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Cluster(T center)`
Deprecated.
Build a cluster centered at a specified point.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPoint(T point)`
Deprecated.
Add a point to this cluster.
`T`
`getCenter()`
Deprecated.
Get the point chosen to be the center of this cluster.
`List<T>`
`getPoints()`
Deprecated.
Get the points contained in the cluster.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cluster

public Cluster(T center)
Deprecated.
Build a cluster centered at a specified point.

Parameters:
  `center` - the point which is to be the center of this cluster

## Method Details

### addPoint

public void addPoint(T point)
Deprecated.
Add a point to this cluster.

Parameters:
  `point` - point to add

### getPoints

public List<T> getPoints()
Deprecated.
Get the points contained in the cluster.

Returns:
  points contained in the cluster

### getCenter

public T getCenter()
Deprecated.
Get the point chosen to be the center of this cluster.

Returns:
  chosen cluster center